import { Component, h, Host, Prop } from '@stencil/core';
export class SupplyDisplay {
  constructor() {
    /**
     * Supply that has been minted
     */
    this.totalSupply = 0;
    /**
     * Maximum supply
     */
    this.maxSupply = 0;
  }
  render() {
    return (h(Host, null,
      h("div", { class: "supply-status", part: "supply-bar" },
        h("div", { part: "supply-left" },
          h("span", null, this.totalSupply),
          "/",
          h("span", null, this.maxSupply)))));
  }
  static get is() { return "supply-display"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["supply-display.sass"]
  }; }
  static get styleUrls() { return {
    "$": ["supply-display.css"]
  }; }
  static get properties() { return {
    "totalSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": "Supply that has been minted"
      },
      "attribute": "total-supply",
      "reflect": false,
      "defaultValue": "0"
    },
    "maxSupply": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": "Maximum supply"
      },
      "attribute": "max-supply",
      "reflect": false,
      "defaultValue": "0"
    }
  }; }
}
