import { r as registerInstance, c as createEvent, h, H as Host } from './index-1228df52.js';
import { m as formatEther, B as BigNumber } from './ethers-87a4a90d.js';

const mintConfigCss = ".mint-button-label{display:var(--mint-button-label, block)}.input-group{display:flex;width:100%;height:100%;align-items:stretch}.input-group>.input{isolation:isolate}.input-group>*,.input-group>.input{border-radius:0px}.input-group :where(span){display:flex;align-items:center;--tw-bg-opacity:1;padding-left:1rem;padding-right:1rem}.input-group :first-child{border-top-left-radius:var(--rounded-btn, 0.5rem);border-bottom-left-radius:var(--rounded-btn, 0.5rem)}.input-group :last-child{border-top-right-radius:var(--rounded-btn, 0.5rem);border-bottom-right-radius:var(--rounded-btn, 0.5rem)}:host{display:block}.summary{padding:1rem 0;border-top:1px solid var(--border-light, #6e7680);border-bottom:1px solid var(--border-light, #6e7680);display:flex;align-items:center;justify-content:space-between}.wrapper{display:flex;width:full;flex-direction:row;justify-content:space-between;padding:0.5rem 0;align-items:center;gap:0.5rem}.wrapper .input-group{align-items:center;display:flex;gap:1rem}.wrapper .input-group span{display:grid;place-items:center;height:2rem;width:2rem;border-radius:33px;border:1px solid var(--border-light, #6e7680)}button{display:flex;align-items:center;all:unset;font-size:1.5rem;cursor:pointer}button:disabled{opacity:0.5}";

const MintConfig = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.amountChanged = createEvent(this, "amountChanged", 7);
  }
  render() {
    return (h(Host, null, h("div", { id: "token-amount", class: "wrapper", part: "mint-quantity" }, h("span", null, "Quantity"), h("div", { class: "input-group", part: "mint-input-group" }, h("button", { part: "mint-input-minus", disabled: this.selectedAmount <= 1, type: "button", onClick: () => this.amountChanged.emit(-1) }, "\u2212"), h("span", { part: "mint-input-amount" }, this.selectedAmount), h("button", { part: "mint-input-plus", disabled: this.selectedAmount >= this.allocationLeft, type: "button", onClick: () => this.amountChanged.emit(1) }, "+")), h("span", null, this.allocationLeft, " Max")), h("div", { class: "summary", part: "mint-summary" }, h("span", null, "Total"), h("div", null, `${formatEther(BigNumber.from(this.mintPrice).mul(this.selectedAmount).toString())} ETH`, " + gas"))));
  }
};
MintConfig.style = mintConfigCss;

export { MintConfig as mint_config };
